Avro C++

Classes | Public Member Functions | List of all members
avro::Validator Class Reference

This class is used by both the ValidatingSerializer and ValidationParser objects. More...

`#include <Validator.hh>`

Inheritance diagram for avro::Validator:

## Public Member Functions
| Validator (ValidSchema schema)
void | setCount (int64_t val)
bool | typeIsExpected (Type type) const
Type | nextTypeExpected () const
int | nextSizeExpected () const
bool | getCurrentRecordName (std::string &name) const
bool | getNextFieldName (std::string &name) const
void | checkTypeExpected (Type type)
void | checkFixedSizeExpected (int size)

## Detailed Description

This class is used by both the ValidatingSerializer and ValidationParser objects.

It advances the parse tree (containing logic how to advance through the various compound types, for example a record must advance through all leaf nodes but a union only skips to one), and reports which type is next.

The documentation for this class was generated from the following file:

- api/Validator.hh